function phidot = PB_nonlin (r, phi)

% PB_nonlin returns the neccessary derivatives of the reduced potential phi
% from eqn. 3.39 for the ODE solver in rstarfinder.m

% phi(1) = first drivative of the reduced potential
% phi(2) = reduced potential itself

% phidot(1) = second drivative of the reduced potential
% phidot(2) = first drivative of the reduced potential, hence phidot(2) = phi(1)

% note: the second derivative is hidden in the middle term of eqn. 3.39

phidot(1)   =   sinh(phi(2)) - phi(1) / r;
phidot(2)   =   phi(1);

phidot      =   phidot';